Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/cscope

From: Cliff Free <nucular.limozeen_at_gmail.com>
Date: Sat, 17 Sep 2016 15:12:04 -0400

http://cscope.sourceforge.net
Cscope is a developer's tool for browsing source code.
---
 testing/cscope/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/cscope/APKBUILD
diff --git a/testing/cscope/APKBUILD b/testing/cscope/APKBUILD
new file mode 100644
index 0000000..0214ef7
--- /dev/null
+++ b/testing/cscope/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Cliff Free <nucular.limozeen_at_gmail.com>
+# Maintainer:
+pkgname=cscope
+pkgver=15.8b
+pkgrel=0
+pkgdesc="Cscope is a developer's tool for browsing source code."
+url="http://cscope.sourceforge.net/"
+arch="all"
+license="BSD"
+depends="ncurses"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/cscope/cscope/$pkgver/cscope-$pkgver.tar.gz"
+builddir="$srcdir/cscope-$pkgver"
+
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="8f9409a238ee313a96f9f87fe0f3b176  cscope-15.8b.tar.gz"
+sha256sums="4889d091f05aa0845384b1e4965aa31d2b20911fb2c001b2cdcffbcb7212d3af  cscope-15.8b.tar.gz"
+sha512sums="3ebb9cc5bc814c02edb3e395a48e6fe2f206dd698529582e7df81755b335e8c3f4477ad4e8abcefd16d4d9adfd72981916322756b7060acf38fc82d56cc97fd5  cscope-15.8b.tar.gz"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Sep 17 2016 - 15:12:04 GMT